[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# EAbstractError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Abstract error.

## Declaration

Source position: sysutilh.inc line 191

`type EAbstractError = class(Exception)`

## Inheritance

`EAbstractError` |  | Abstract error.
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

EAbstractError is raised when an abstract error occurs, i.e. when an unimplemented abstract method is called.